Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 962220 - PRD35 - [RFE] allow to set locale, language and keyboard settings for sysprep operation per vm
Summary: PRD35 - [RFE] allow to set locale, language and keyboard settings for sysprep...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: 3.5.0
Assignee: Shahar Havivi
QA Contact: meital avital
URL:
Whiteboard: virt
Depends On:
Blocks: 1120943 rhev3.5beta 1150334 1150335 1156165
TreeView+ depends on / blocked
 
Reported: 2013-05-12 17:40 UTC by Pratik Pravin Bandarkar
Modified: 2019-03-22 07:08 UTC (History)
12 users (show)

Fixed In Version: vt2.2
Doc Type: Enhancement
Doc Text:
This feature adds the ability to configure the system, user, and machine locale for a virtual machine using sysprep in the New Virtual Machine and Edit Virtual machine window.
Clone Of:
Environment:
Last Closed: 2015-02-11 17:53:08 UTC
oVirt Team: ---
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 25488 None None None Never
oVirt gerrit 29025 None None None Never

Comment 1 Pavel Novotny 2014-06-20 12:02:29 UTC
FailedQA in ovirt-engine-3.5.0-0.0.master.20140605145557.git3ddd2de.el6.noarch (alpha2).

Substitution of the $UILanguage$ variable with the GUI's UI Language value doesn't work (due to a case-sensitive typo in SysprepHandler.java - $UiLanguage$ vs $UILanguage$).

@Shahar,
also variable for system setup UI language is replaced with GUI's Input Locale value, i.e.,

  sysPrepContent = replace(sysPrepContent, "$SetupUiLanguageUiLanguage$", inputLocale);

Is this correct, shouldn't there be used the UI Language value?

Comment 2 Shahar Havivi 2014-06-22 07:41:24 UTC
> Is this correct, shouldn't there be used the UI Language value?
Correct,
I will send a patch to fix it.

Comment 4 meital avital 2014-10-27 07:52:07 UTC
Verified - https://tcms.engineering.redhat.com/run/163770/

Comment 5 Yaniv Lavi 2015-01-19 15:37:20 UTC
Original request was:

3. What is the nature and description of the request?
customer want to set locale, language and keyboard settings for sysprep operation per vm. They wish to be able to modify the languages defined within the following section of sysprep.xml per vm:

...
   <SetupUILanguage>
      <UILanguage>en-US</UILanguage>
   </SetupUILanguage>
   <InputLocale>en-US</InputLocale>
   <UILanguage>en-US</UILanguage>
   <SystemLocale>en-US</SystemLocale>
   <UserLocale>en-US</UserLocale>
...



4. Why does the customer need this? (List the business requirements here)
This feature is needed because all VMs will NOT be connected to an AD and so the default values for locale language and keyboard should be settable in the sysprep stage.

5. How would the customer like to achieve this? (List the functional requirements here)
These settings should be available in the GUI like the timezone settings currently are.

Comment 7 errata-xmlrpc 2015-02-11 17:53:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.